=== debian/changelog ===
dasm (2.20.15~20201012+git283e30d-1) unstable; urgency=medium

  * Initial release, Closes: #971885.
  * [d3fe00c] add manpage for dasm
  * [f045bb1] use salsa-ci pipeline
  * [11b8401] disable test-build-all job in salsa-ci
  * [76f40a0] enable diffoscope for reprotest
  * [f7b5dd6] force source date to date of last doc source commit
  * [9ae0e57] add lintian overrides

 -- Joseph Nahmias <jello@debian.org>  Thu, 15 Oct 2020 21:09:02 -0400
