## dasm 2.20.15~20201109%2Breally2.20.14.1

=== debian/changelog ===
dasm (2.20.15~20201109+really2.20.14.1-3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Fri, 06 Feb 2026 21:12:44 +0100

dasm (2.20.15~20201109+really2.20.14.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
    Fixes: lintian: upstream-metadata-missing-bug-tracking
    See-also: https://lintian.debian.org/tags/upstream-metadata-missing-bug-tracking.html
  * Update lintian override info format in d/source/lintian-overrides on line 5.
    Changes-By: lintian-brush
    Fixes: lintian: mismatched-override
    See-also: https://lintian.debian.org/tags/mismatched-override.html

  [ Joe Nahmias ]
  * drop unnecessary lintian override
  * enable extra build jobs in salsa ci
  * run wrap-and-sort -asbkt; enable corresponding job in salsa ci

  [ Sergio Durigan Junior ]
  * Fix FTBFS with GCC 15.
    Thanks to Sergio Durigan Junior <sergiodj@debian.org> (Closes: #1096503)

 -- Joseph Nahmias <jello@debian.org>  Sat, 27 Sep 2025 21:52:19 -0400

dasm (2.20.15~20201109+really2.20.14.1-2) unstable; urgency=medium

  * [00c6200] bump std-ver to 4.6.1; no changes
  * [bbd9157] convert to new lintian override format
  * [abd5a78] bump copyright year

 -- Joseph Nahmias <jello@debian.org>  Thu, 27 Oct 2022 00:05:37 -0400

dasm (2.20.15~20201109+really2.20.14.1-1) unstable; urgency=medium

  * [83421eb] New upstream version 2.20.14.1
  * [21d7179] fix upstream tag format
  * [ac78f02] drop local dasm manpage, merged upstream

 -- Joseph Nahmias <jello@debian.org>  Wed, 11 Nov 2020 00:13:58 -0500
