=== debian/control ===
Source: dasm
Section: otherosfs
Priority: optional
Maintainer: Joseph Nahmias <jello@debian.org>
Build-Depends:
 debhelper-compat (=13),
 latexmk,
 texlive-fonts-extra,
 texlive-fonts-recommended,
 texlive-latex-extra,
Standards-Version: 4.6.1
Homepage: https://dasm-assembler.github.io/
Vcs-Browser: https://salsa.debian.org/debian/dasm
Vcs-Git: https://salsa.debian.org/debian/dasm.git
Rules-Requires-Root: no

Package: dasm
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Macro assembler with support for several 8-bit microprocessors
 DASM is a versatile macro assembler with support for several 8-bit
 microprocessors including MOS 6502 & 6507; Motorola 6803, 68705, and 68HC11;
 Hitachi HD6303 (extended Motorola 6801) and Fairchild F8.
 .
 DASM boasts a number of features including:
 .
   * fast assembly
   * supports several common 8 bit processor models
   * takes as many passes as needed
   * automatic checksum generation, special symbol ’...’
   * several binary output formats available
   * allows reverse indexed origins
   * multiple segments, BSS segments (no generation), relocatable origin
   * expressions, as in C
   * 32-bit integer expressions
   * no real limitation on label size
   * complex pseudo-ops, repeat loops, macros
