=== debian/watch ===
# See uscan(1) for format
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dasm-$1.tar.gz%" \
    https://github.com/dasm-assembler/dasm/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
